=== modified file 'annotate/config.py'
--- annotate/config.py	2011-09-05 03:44:26 +0000
+++ annotate/config.py	2012-02-09 02:55:06 +0000
@@ -62,7 +62,8 @@
         self.pane.set_position(self['window'].as_int('pane_position'))
         self.window.set_default_size(self['window'].as_int('width'),
                                      self['window'].as_int('height'))
-        self.window.move(self['window'].as_int('x'), self['window'].as_int('y'))
+        self.window.move(
+            self['window'].as_int('x'), self['window'].as_int('y'))
 
         if self['window'].as_bool('maximized'):
             self.window.maximize()
@@ -71,7 +72,6 @@
         self.window.connect("destroy", self._write)
         self.window.connect("configure-event", self._save_window_props)
         self.window.connect("window-state-event", self._save_window_props)
-        self.pane.connect("notify", self._save_pane_props)
 
     def _save_window_props(self, w, e, *args):
         if e.window.get_state() & Gdk.WindowState.MAXIMIZED:
@@ -83,14 +83,11 @@
         self["window"]["maximized"] = maximized
         return False
 
-    def _save_pane_props(self, w, gparam):
-        if gparam and gparam.name == "position":
-            self["window"]["pane_position"] = w.get_position()
-
-        return False
+    def _save_pane_props(self):
+        self["window"]["pane_position"] = self.pane.get_position()
 
     def _write(self, *args):
+        self._save_pane_props()
         config.ensure_config_dir_exists()
         self.write()
         return False
-

=== modified file 'tests/test_annotate_config.py'
--- tests/test_annotate_config.py	2011-09-04 03:53:20 +0000
+++ tests/test_annotate_config.py	2012-02-09 02:55:06 +0000
@@ -16,6 +16,8 @@
 
 """Test the annotate configuration functionality."""
 
+import os
+
 from bzrlib import (
     tests,
     )
@@ -24,6 +26,7 @@
     config,
     gannotate,
     )
+from bzrlib.plugins.gtk.annotate.config import gannotate_config_filename
 
 
 class TestConfig(tests.TestCaseInTempDir):
@@ -45,3 +48,11 @@
         width = conf['window']['width']
         # configobj presents attributes as strings only
         self.assertIsInstance(width, str)
+
+    def test_write(self):
+        """The window values are save"""
+        conf = config.GAnnotateConfig(self.window)
+        self.window.pane.set_position(200)
+        self.assertIs(False, conf._write())
+        self.assertEqual(200, conf['window']['pane_position'])
+        self.assertIs(True, os.path.isfile(gannotate_config_filename()))

